# stability_sdk

An implementation of [Stability AI](https://platform.stability.ai/) SDK in Dart.


## Example

```dart
// Generate a client
final client = StabilityApiClient.init(dotenv.get('STABILITY_API_KEY'));

// Create a request
final request = StabilityRequest('artistic japa');
    client.generateAsync(request).listen((answer) {
        if (answer?.artifacts.isNotEmpty == true) {
            setState(() {
                image = answer.artifacts.first.getImage();
            });
        }
    });
});
```

## Outputs

|Cyberpunk|Cats|Dogs|
|---|---|---|
|![cyberpunk-1](.github/screenshots/cyberpunk/1.png)|![cats-1](.github/screenshots/cats/1.png)|![dogs-1](.github/screenshots/dogs/1.png)|
|![cyberpunk-2](.github/screenshots/cyberpunk/2.png)|![cats-2](.github/screenshots/cats/2.png)|![dogs-2](.github/screenshots/dogs/2.png)|
|![cyberpunk-3](.github/screenshots/cyberpunk/3.png)|![cats-3](.github/screenshots/cats/3.png)|![dogs-3](.github/screenshots/dogs/3.png)|


## Connect

Let's connect on [@joshuamdeguzman](https://twitter.com/joshuadeguzman).

## License

[BSD 3-Clause](https://github.com/joshuadeguzman/stability_sdk/blob/main/.github/LICENSE.md)